// Code generated by mockery v1.0.0. DO NOT EDIT.

package mocks

import domain "sticker-app/domain"
import mock "github.com/stretchr/testify/mock"

// StickerRepository is an autogenerated mock type for the StickerRepository type
type StickerRepository struct {
	mock.Mock
}

// GetTrendingStickers provides a mock function with given fields: currentTime
func (_m *StickerRepository) GetTrendingStickers(currentTime string) ([]*domain.Sticker, error) {
	ret := _m.Called(currentTime)

	var r0 []*domain.Sticker
	if rf, ok := ret.Get(0).(func(string) []*domain.Sticker); ok {
		r0 = rf(currentTime)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*domain.Sticker)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string) error); ok {
		r1 = rf(currentTime)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}
